Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_msg_error.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_msg_error.cpp	(revision 15)
@@ -6,6 +6,6 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/Parameters.h"
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/Types.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Types.h"
 #include <sstream>
 using namespace std;
@@ -14,4 +14,5 @@
 namespace behavioural {
 namespace generic {
+namespace registerfile {
 namespace registerfile_multi_banked {
 
@@ -81,4 +82,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_print.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Parameters_print.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/Parameters.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h"
 #include "Behavioural/include/XML.h"
 using namespace std;
@@ -13,4 +13,5 @@
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -36,5 +37,5 @@
 
   ostream& operator<< (ostream& output_stream ,
-		       morpheo::behavioural::generic::registerfile_multi_banked::Parameters & x)
+		       morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters & x)
   {
     output_stream << x.print(0);
@@ -44,4 +45,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked.cpp	(revision 15)
@@ -6,9 +6,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile {
 namespace registerfile_multi_banked {
 
@@ -22,5 +23,5 @@
 			      morpheo::behavioural::Parameters_Statistics             param_statistics,
 #endif
-			      morpheo::behavioural::generic::registerfile_multi_banked::Parameters param ):
+			      morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters param ):
 			      _name              (name)
 			      ,_param            (param)
@@ -109,4 +110,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_allocation.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_allocation.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -74,4 +75,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_deallocation.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_deallocation.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -58,4 +59,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_statistics.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_statistics.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_statistics.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo {
 namespace behavioural {
 namespace generic {
+namespace registerfile {
 namespace registerfile_multi_banked {
 
@@ -27,4 +28,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_transition.cpp	(revision 15)
@@ -8,9 +8,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -32,4 +33,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 #include "Behavioural/include/Vhdl.h"
 
@@ -13,4 +13,5 @@
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -33,4 +34,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_body.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_body.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -23,4 +24,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_declaration.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_declaration.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -22,4 +23,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_port.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_port.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile {
 namespace registerfile_multi_banked {
 
@@ -49,4 +50,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_testbench_label.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_testbench_label.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_testbench_label.cpp	(revision 15)
@@ -6,11 +6,11 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
-
 
   void RegisterFile_Multi_Banked::vhdl_testbench_label (string label)
@@ -26,4 +26,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_testbench_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_testbench_transition.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/RegisterFile_Multi_Banked_vhdl_testbench_transition.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/RegisterFile_Multi_Banked.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -58,4 +59,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics.cpp	(revision 15)
@@ -7,9 +7,10 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/Statistics.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Statistics.h"
 
 namespace morpheo                    {
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -33,4 +34,5 @@
   };
 
+}; // end namespace registerfile
 }; // end namespace registerfile_multi_banked
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_add.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_add.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_add.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/Statistics.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Statistics.h"
 
 #include <sstream>
@@ -15,4 +15,5 @@
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -25,4 +26,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_print.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_print.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/Statistics.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Statistics.h"
 
 #include <sstream>
@@ -15,4 +15,5 @@
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -35,5 +36,5 @@
 
   ostream& operator<< (ostream& output_stream ,
-		       morpheo::behavioural::generic::registerfile_multi_banked::Statistics & x)
+		       morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Statistics & x)
   {
     output_stream << x.print(0);
@@ -43,4 +44,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_print_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_print_body.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/src/Statistics_print_body.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/RegisterFile_Multi_Banked/include/Statistics.h"
+#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Statistics.h"
 
 #include <sstream>
@@ -15,4 +15,5 @@
 namespace behavioural {
 namespace generic {
+namespace registerfile{
 namespace registerfile_multi_banked {
 
@@ -33,4 +34,5 @@
 
 }; // end namespace registerfile_multi_banked
+}; // end namespace registerfile
 }; // end namespace generic
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile	(revision 15)
@@ -11,5 +11,5 @@
 
 #-----[ Library ]------------------------------------------
-LIBRARY				= $(DIR_LIB)/libPriority_Fixed.a
+LIBRARY				= $(DIR_LIB)/libSelect_Priority_Fixed.a
 
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.deps	(revision 15)
@@ -12,20 +12,20 @@
 endif
 
-Priority_Fixed			= yes
+Select_Priority_Fixed			= yes
 
 #-----[ Library ]------------------------------------------
-Priority_Fixed_LIBRARY		= 	-lPriority_Fixed	\
+Select_Priority_Fixed_LIBRARY		= 	-lSelect_Priority_Fixed	\
 					$(Behavioural_LIBRARY)	
 
-Priority_Fixed_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Select/Priority_Fixed/lib	\
+Select_Priority_Fixed_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed/lib	\
 					$(Behavioural_DIR_LIBRARY)
 
 #-----[ Rules ]--------------------------------------------
 
-Priority_Fixed_library		: 
+Select_Priority_Fixed_library		: 
 				@$(MAKE) Behavioural_library
-				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Priority_Fixed --makefile=Makefile 
+				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile 
 	
-Priority_Fixed_library_clean	: 
+Select_Priority_Fixed_library_clean	: 
 				@$(MAKE) Behavioural_library_clean
-				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Priority_Fixed --makefile=Makefile clean
+				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile clean
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/Makefile	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/Makefile	(revision 15)
@@ -10,7 +10,7 @@
 DIR_MORPHEO			= ../../../../..
 
-LIBRARY				= $(Priority_Fixed_LIBRARY)
+LIBRARY				= $(Select_Priority_Fixed_LIBRARY)
 
-DIR_LIBRARY			= $(Priority_Fixed_DIR_LIBRARY)
+DIR_LIBRARY			= $(Select_Priority_Fixed_DIR_LIBRARY)
 
 #-----[ include ]------------------------------------------
@@ -19,7 +19,7 @@
 				@$(MAKE) all_selftest
 
-library				: Priority_Fixed_library
+library				: Select_Priority_Fixed_library
 
-library_clean			: Priority_Fixed_library_clean
+library_clean			: Select_Priority_Fixed_library_clean
 
 include                         ../Makefile.deps
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/configuration.cfg	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/configuration.cfg	(revision 15)
@@ -1,3 +1,3 @@
-Priority_Fixed
+Select_Priority_Fixed
 2	16	*2	# nb_entity
 0	1	+1	# encoding_one_hot
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/include/test.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/include/test.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/include/test.h	(revision 15)
@@ -14,5 +14,5 @@
 #include <iostream>
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 using namespace std;
@@ -22,6 +22,6 @@
 using namespace morpheo::behavioural::generic::select;
 
-using namespace morpheo::behavioural::generic::select::priority_fixed;
+using namespace morpheo::behavioural::generic::select::select_priority_fixed;
 
 void test    (string name,
-	      morpheo::behavioural::generic::select::priority_fixed::Parameters param);
+	      morpheo::behavioural::generic::select::select_priority_fixed::Parameters param);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/mkf.info
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/mkf.info	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/mkf.info	(revision 15)
@@ -1,41 +1,41 @@
 
-# Priority_Fixed_0
-target_dep	all	Priority_Fixed_0.ngc
-target_dep	Priority_Fixed_0.ngc	Priority_Fixed_0.prj
-target_dep	Priority_Fixed_0.prj	Priority_Fixed_0_Pack.vhdl Priority_Fixed_0.vhdl
+# Select_Priority_Fixed_0
+target_dep	all	Select_Priority_Fixed_0.ngc
+target_dep	Select_Priority_Fixed_0.ngc	Select_Priority_Fixed_0.prj
+target_dep	Select_Priority_Fixed_0.prj	Select_Priority_Fixed_0_Pack.vhdl Select_Priority_Fixed_0.vhdl
 
-# Priority_Fixed_1
-target_dep	all	Priority_Fixed_1.ngc
-target_dep	Priority_Fixed_1.ngc	Priority_Fixed_1.prj
-target_dep	Priority_Fixed_1.prj	Priority_Fixed_1_Pack.vhdl Priority_Fixed_1.vhdl
+# Select_Priority_Fixed_1
+target_dep	all	Select_Priority_Fixed_1.ngc
+target_dep	Select_Priority_Fixed_1.ngc	Select_Priority_Fixed_1.prj
+target_dep	Select_Priority_Fixed_1.prj	Select_Priority_Fixed_1_Pack.vhdl Select_Priority_Fixed_1.vhdl
 
-# Priority_Fixed_2
-target_dep	all	Priority_Fixed_2.ngc
-target_dep	Priority_Fixed_2.ngc	Priority_Fixed_2.prj
-target_dep	Priority_Fixed_2.prj	Priority_Fixed_2_Pack.vhdl Priority_Fixed_2.vhdl
+# Select_Priority_Fixed_2
+target_dep	all	Select_Priority_Fixed_2.ngc
+target_dep	Select_Priority_Fixed_2.ngc	Select_Priority_Fixed_2.prj
+target_dep	Select_Priority_Fixed_2.prj	Select_Priority_Fixed_2_Pack.vhdl Select_Priority_Fixed_2.vhdl
 
-# Priority_Fixed_3
-target_dep	all	Priority_Fixed_3.ngc
-target_dep	Priority_Fixed_3.ngc	Priority_Fixed_3.prj
-target_dep	Priority_Fixed_3.prj	Priority_Fixed_3_Pack.vhdl Priority_Fixed_3.vhdl
+# Select_Priority_Fixed_3
+target_dep	all	Select_Priority_Fixed_3.ngc
+target_dep	Select_Priority_Fixed_3.ngc	Select_Priority_Fixed_3.prj
+target_dep	Select_Priority_Fixed_3.prj	Select_Priority_Fixed_3_Pack.vhdl Select_Priority_Fixed_3.vhdl
 
-# Priority_Fixed_4
-target_dep	all	Priority_Fixed_4.ngc
-target_dep	Priority_Fixed_4.ngc	Priority_Fixed_4.prj
-target_dep	Priority_Fixed_4.prj	Priority_Fixed_4_Pack.vhdl Priority_Fixed_4.vhdl
+# Select_Priority_Fixed_4
+target_dep	all	Select_Priority_Fixed_4.ngc
+target_dep	Select_Priority_Fixed_4.ngc	Select_Priority_Fixed_4.prj
+target_dep	Select_Priority_Fixed_4.prj	Select_Priority_Fixed_4_Pack.vhdl Select_Priority_Fixed_4.vhdl
 
-# Priority_Fixed_5
-target_dep	all	Priority_Fixed_5.ngc
-target_dep	Priority_Fixed_5.ngc	Priority_Fixed_5.prj
-target_dep	Priority_Fixed_5.prj	Priority_Fixed_5_Pack.vhdl Priority_Fixed_5.vhdl
+# Select_Priority_Fixed_5
+target_dep	all	Select_Priority_Fixed_5.ngc
+target_dep	Select_Priority_Fixed_5.ngc	Select_Priority_Fixed_5.prj
+target_dep	Select_Priority_Fixed_5.prj	Select_Priority_Fixed_5_Pack.vhdl Select_Priority_Fixed_5.vhdl
 
-# Priority_Fixed_6
-target_dep	all	Priority_Fixed_6.ngc
-target_dep	Priority_Fixed_6.ngc	Priority_Fixed_6.prj
-target_dep	Priority_Fixed_6.prj	Priority_Fixed_6_Pack.vhdl Priority_Fixed_6.vhdl
+# Select_Priority_Fixed_6
+target_dep	all	Select_Priority_Fixed_6.ngc
+target_dep	Select_Priority_Fixed_6.ngc	Select_Priority_Fixed_6.prj
+target_dep	Select_Priority_Fixed_6.prj	Select_Priority_Fixed_6_Pack.vhdl Select_Priority_Fixed_6.vhdl
 
-# Priority_Fixed_7
-target_dep	all	Priority_Fixed_7.ngc
-target_dep	Priority_Fixed_7.ngc	Priority_Fixed_7.prj
-target_dep	Priority_Fixed_7.prj	Priority_Fixed_7_Pack.vhdl Priority_Fixed_7.vhdl
+# Select_Priority_Fixed_7
+target_dep	all	Select_Priority_Fixed_7.ngc
+target_dep	Select_Priority_Fixed_7.ngc	Select_Priority_Fixed_7.prj
+target_dep	Select_Priority_Fixed_7.prj	Select_Priority_Fixed_7_Pack.vhdl Select_Priority_Fixed_7.vhdl
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/main.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/main.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/SelfTest/include/test.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/include/test.h"
 
 #define NB_PARAMS 3
@@ -42,5 +42,5 @@
   try 
     {
-      morpheo::behavioural::generic::select::priority_fixed::Parameters param (nb_entity       ,
+      morpheo::behavioural::generic::select::select_priority_fixed::Parameters param (nb_entity       ,
 									       encoding_one_hot,
 									       encoding_compact);
